// Code generated by "stringer -type=CommonCertificateFilterInstallStatus -linecomment -output zzz_CommonCertificateFilterInstallStatus_string.go"; DO NOT EDIT.

package sectigoapiclient

import "strconv"

func _() {
	// An "invalid array index" compiler error signifies that the constant values have changed.
	// Re-run the stringer command to generate them again.
	var x [1]struct{}
	_ = x[InstallStatusNotScheduled-1]
	_ = x[InstallStatusScheduled-2]
	_ = x[InstallStatusStarted-3]
	_ = x[InstallStatusSuccessful-4]
	_ = x[InstallStatusFailed-5]
}

const _CommonCertificateFilterInstallStatus_name = "NOT_SCHEDULEDSCHEDULEDSTARTEDSUCCESSFULFAILED"

var _CommonCertificateFilterInstallStatus_index = [...]uint8{0, 13, 22, 29, 39, 45}

func (i CommonCertificateFilterInstallStatus) String() string {
	i -= 1
	if i < 0 || i >= CommonCertificateFilterInstallStatus(len(_CommonCertificateFilterInstallStatus_index)-1) {
		return "CommonCertificateFilterInstallStatus(" + strconv.FormatInt(int64(i+1), 10) + ")"
	}
	return _CommonCertificateFilterInstallStatus_name[_CommonCertificateFilterInstallStatus_index[i]:_CommonCertificateFilterInstallStatus_index[i+1]]
}
